Answer the question a durable AI chat session is parked on (bearer token)
import requests
url = "https://platform.ankra.app/api/v1/chat/sessions/{session_id}/answers"
payload = {
"question_id": "<string>",
"selected_option_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({question_id: '<string>', selected_option_ids: ['<string>']})
};
fetch('https://platform.ankra.app/api/v1/chat/sessions/{session_id}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/chat/sessions/{session_id}/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question_id": "<string>",
"selected_option_ids": [
"<string>"
]
}
'{
"question_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}chat
Answer the question a durable AI chat session is parked on (bearer token)
POST
/
api
/
v1
/
chat
/
sessions
/
{session_id}
/
answers
Answer the question a durable AI chat session is parked on (bearer token)
import requests
url = "https://platform.ankra.app/api/v1/chat/sessions/{session_id}/answers"
payload = {
"question_id": "<string>",
"selected_option_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({question_id: '<string>', selected_option_ids: ['<string>']})
};
fetch('https://platform.ankra.app/api/v1/chat/sessions/{session_id}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/chat/sessions/{session_id}/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question_id": "<string>",
"selected_option_ids": [
"<string>"
]
}
'{
"question_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json